Module tdlight.api
Package it.tdlight.jni

# Class TdApi.MessageReaction

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.MessageReaction

Enclosing class:
  TdApi

public static final class TdApi.MessageReaction extends TdApi.Object
Contains information about a reaction to a message.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`boolean`
`isChosen`
True, if the reaction is chosen by the current user.
`TdApi.MessageSender[]`
`recentSenderIds`
Identifiers of at most 3 recent message senders, added the reaction; available in private, basic group and supergroup chats.
`int`
`totalCount`
Number of times the reaction was added.
`TdApi.ReactionType`
`type`
Type of the reaction.
`TdApi.MessageSender`
`usedSenderId`
Identifier of the message sender used by the current user to add the reaction; may be null if unknown or the reaction isn't chosen.

## Constructor Summary

Constructors
Constructor
Description
`MessageReaction()`
Contains information about a reaction to a message.
`MessageReaction(TdApi.ReactionType type, int totalCount, boolean isChosen, TdApi.MessageSender usedSenderId, TdApi.MessageSender[] recentSenderIds)`
Contains information about a reaction to a message.
`MessageReaction(DataInput input)`
Contains information about a reaction to a message.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### type

public TdApi.ReactionType type
Type of the reaction.

### totalCount

public int totalCount
Number of times the reaction was added.

### isChosen

public boolean isChosen
True, if the reaction is chosen by the current user.

### usedSenderId

public TdApi.MessageSender usedSenderId
Identifier of the message sender used by the current user to add the reaction; may be null if unknown or the reaction isn't chosen.

### recentSenderIds

public TdApi.MessageSender[] recentSenderIds
Identifiers of at most 3 recent message senders, added the reaction; available in private, basic group and supergroup chats.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### MessageReaction

public MessageReaction()
Contains information about a reaction to a message.

### MessageReaction

public MessageReaction(TdApi.ReactionType type, int totalCount, boolean isChosen, TdApi.MessageSender usedSenderId, TdApi.MessageSender[] recentSenderIds)
Contains information about a reaction to a message.

Parameters:
  `type` - Type of the reaction.
  `totalCount` - Number of times the reaction was added.
  `isChosen` - True, if the reaction is chosen by the current user.
  `usedSenderId` - Identifier of the message sender used by the current user to add the reaction; may be null if unknown or the reaction isn't chosen.
  `recentSenderIds` - Identifiers of at most 3 recent message senders, added the reaction; available in private, basic group and supergroup chats.

### MessageReaction

public MessageReaction(DataInput input) throws IOException
Contains information about a reaction to a message.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`